Package org.eclipse.rdf4j.rio

## Interface ParseErrorListener

- All Known Implementing Classes:
    `ParseErrorCollector`, `ParseErrorLogger`, `VerificationListener`

      public interface ParseErrorListener

  An interface defining methods for receiving warning and error messages from an RDF parser.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `error​(String msg, long lineNo, long colNo)` | Reports an error from the parser.
    `void` | `fatalError​(String msg, long lineNo, long colNo)` | Reports a fatal error from the parser.
    `void` | `warning​(String msg, long lineNo, long colNo)` | Reports a warning from the parser.

- - ### Method Detail

    - #### warning

          void warning​(String msg,
                       long lineNo,
                       long colNo)

      Reports a warning from the parser. Warning messages are generated by the parser when it encounters data that is syntactically correct but which is likely to be a typo. Examples are the use of unknown or deprecated RDF URIs, e.g. rdfs:Property instead of rdf:Property.
      Parameters:
        `msg` - A warning message.
        `lineNo` - A line number related to the warning, or -1 if not available or applicable.
        `colNo` - A column number related to the warning, or -1 if not available or applicable.

    - #### error

          void error​(String msg,
                     long lineNo,
                     long colNo)

      Reports an error from the parser. Error messages are generated by the parser when it encounters an error in the RDF document. The parser will try its best to recover from the error and continue parsing when stopAtFirstError has been set to false.
      Parameters:
        `msg` - A error message.
        `lineNo` - A line number related to the error, or -1 if not available or applicable.
        `colNo` - A column number related to the error, or -1 if not available or applicable.
      See Also:
        `org.eclipse.rdf4j.rio.RDFParser#setStopAtFirstError`

    - #### fatalError

          void fatalError​(String msg,
                          long lineNo,
                          long colNo)

      Reports a fatal error from the parser. A fatal error is an error of which the RDF parser cannot recover. The parser will stop parsing directly after it reported the fatal error. Example fatal errors are unbalanced start- and end-tags in an XML-encoded RDF document.
      Parameters:
        `msg` - A error message.
        `lineNo` - A line number related to the error, or -1 if not available or applicable.
        `colNo` - A column number related to the error, or -1 if not available or applicable.